# Versioning
The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT", "SHOULD",
"SHOULD NOT", "RECOMMENDED", "MAY", and "OPTIONAL" in this document are to be
interpreted as described in [RFC 2119](http://www.ietf.org/rfc/rfc2119.txt).

-------------------------------------------------------------------------------

## Basics
* [Semantic versioning](http://semver.org/spec/v2.0.0.html) SHOULD be used.
    * Parts of a version: MAJOR.MINOR.PATCH
        1. MAJOR version when you make incompatible API changes, [1]
        2. MINOR version when you add functionality in a backwards-compatible
        manner, and [1]
        3. PATCH version when you make backwards-compatible bug fixes. [1]
* Start at version `0`. Version `1.0.0` indicates the first release
    * You can decide what a "first release" is.

## References
1. Preston-Werner, Tom (2013). Semantic Versioning 2.0.0. Creative Commons.
Retrieved from [http://semver.org/spec/v2.0.0.html](http://semver.org/spec/v2.0.0.html)

